---
deprecated: true
search:
  tags:
    - Collections
    - GET
seo:
  description: >-
    Deprecated: Use the Collections V2 API.… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/collections/{collection_id} endpoint in the
    Management API.
sidebar:
  label: Get a collection by ID
  badge: GET
title: Get a collection by ID
type: openapi-operation
---
Deprecated: Use the Collections V2 API. Retrieves a collection with all translations, redirects, and its children (nested collections).

`GET /api/v1/{team_slug}/{app_slug}/collections/{collection_id}`

**Deprecated.**

**Responses**

- `200` — Collection updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Not found
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "children": [
      {}
    ],
    "created_at": "string",
    "id": "string",
    "parent_id": "string",
    "redirects": [
      {
        "id": "string",
        "item_id": "string",
        "locale": "string",
        "new_slug": "string",
        "old_slug": "string",
        "type": "product"
      }
    ],
    "slug": "string",
    "status": "active",
    "title": "string",
    "translations": {
      "slug": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string",
    "uri": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
